## org.apache.batik.bridge
Class ScriptingEnvironment.EvaluateRunnableRunnable

    java.lang.Object
      org.apache.batik.bridge.ScriptingEnvironment.EvaluateRunnableRunnable

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  ScriptingEnvironment

protected class ScriptingEnvironment.EvaluateRunnableRunnable
extends java.lang.Object
implements java.lang.Runnable

To call a Runnable.

Field Summary
`int` `count` Incremented each time this runnable is put in the queue.
`boolean` `error`
`protected java.lang.Runnable` `runnable`

Constructor Summary
`ScriptingEnvironment.EvaluateRunnableRunnable(java.lang.Runnable r)`

Method Summary
`void` `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### count

    public int count

  Incremented each time this runnable is put in the queue.

### error

    public boolean error

### runnable

    protected java.lang.Runnable runnable

Constructor Detail

### ScriptingEnvironment.EvaluateRunnableRunnable

    public ScriptingEnvironment.EvaluateRunnableRunnable(java.lang.Runnable r)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.